
QGIS Application - Feature request #11324

Let Processing windows being non-blockers of the interface

2014-10-04 08:20 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Pull Request or Patch supplied:No Resolution: duplicate

Easy fix?: No Copied to github as #: 19620

Description

For long analyses, especially common for large rasters, a major disadvantage of Processing compared to GDALTools is that the

Processing window blocks QGIS, so the user cannot do anything until the analyses are finished. It would be a big advantage if Processing

would be non blocking.

Related issues:

Duplicates QGIS Application - Feature request # 5396: Run algorithms in a dif... Closed 2012-04-17

History

#1 - 2014-10-04 12:08 PM - Giovanni Manghi

- Category deleted (63)

- Project changed from 78 to QGIS Application

#2 - 2014-10-04 12:09 PM - Giovanni Manghi

- Category set to Processing/Core

#3 - 2014-10-05 01:41 AM - Paolo Cavallini

Possibly duplicated of #5396

Leaving this one for now, as I think it is more clear from the user point of view. Feel free to close it anyway.

#4 - 2015-06-07 02:31 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed
